%global version  0.9.1
%global momorel 6

%define honoka_version   0.9.1-5m

Name:       honoka-plugin-skkdic
Summary:    An SKKdic search plugin for honoka
Version:    %{version}
Release: %{momorel}m%{?dist}
Group:      Applications/System
License:    GPL
URL:        http://sourceforge.jp/projects/scim-imengine/
Source0: http://nop.net-p.org/files/honoka/%{name}-%{version}.tar.gz 
NoSource: 0
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:      skk-jisyo
BuildRequires: honoka-devel >= %{honoka_version}
BuildRequires: automake
BuildRequires: libtool-ltdl-devel

%description
An SKKdic search plugin for honoka.


%prep
%setup -q
cp /usr/share/automake-1.9/mkinstalldirs .

%build
[[ -f configure ]] || ./bootstrap

%configure
# (tv) parallel build is broken:
make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

# remove devel files
rm -f %{buildroot}/%{_libdir}/scim-1.0/1.4.0/honoka/*.{a,la}

%find_lang honoka-plugin-skkdic

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f honoka-plugin-skkdic.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README.jp
%{_libdir}/scim-1.0/1.4.0/honoka/*.so


%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.1-6m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.1-5m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.1-4m)
- %%NoSource -> NoSource

* Mon Oct 30 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.1-3m)
- update honoka_version

* Wed Oct 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.1-2m)
- modify %%files (for scim-1.4.5)

* Tue Jul  4 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.1-1m)
- Initial commit Momonga Linux

* Mon Jun 19 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.9.0-1mdv2007.0
- first spec for Mandriva Linux
